{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "mythicus_im:hdc.guidebook",
      "materials": {
        "default": "entity_alphatest"
      },
      "textures": {
        "page_1": "textures/mythicus/hdc/entity/guidebook/1",
        "page_2": "textures/mythicus/hdc/entity/guidebook/2",
        "page_3": "textures/mythicus/hdc/entity/guidebook/3",
        "page_4": "textures/mythicus/hdc/entity/guidebook/4",
        "page_5": "textures/mythicus/hdc/entity/guidebook/5",
        "page_6": "textures/mythicus/hdc/entity/guidebook/6",
        "page_7": "textures/mythicus/hdc/entity/guidebook/7",
        "page_8": "textures/mythicus/hdc/entity/guidebook/8",
        "page_9": "textures/mythicus/hdc/entity/guidebook/9",
        "page_10": "textures/mythicus/hdc/entity/guidebook/10",
        "page_11": "textures/mythicus/hdc/entity/guidebook/11",
        "page_12": "textures/mythicus/hdc/entity/guidebook/12"
      },
      "geometry": {
        "default": "geometry.mythicus_im.hdc.guidebook"
      },
      "scripts": {
        "initialize": [
          "v.cur_page = q.property('mythicus_im:page');",
          "v.page = v.cur_page;",
          "v.turn_page = 0;"
        ],
        "pre_animation": [
          "v.cur_page = q.property('mythicus_im:page');",
          "v.page != v.cur_page ? { v.turn_page = 1; };"
        ],
        "animate": [
          "root"
        ]
      },
      "animations": {
        "root": "controller.animation.mythicus_im.hdc.guidebook.root",

        "idle": "animation.mythicus_im.hdc.guidebook.idle_open",
        "spawn": "animation.mythicus_im.hdc.guidebook.spawn",
        "despawn": "animation.mythicus_im.hdc.guidebook.despawn",
        "switch_start": "animation.mythicus_im.hdc.guidebook.switch_start",
        "switch_end": "animation.mythicus_im.hdc.guidebook.switch_end"
      },
      "sound_effects": {
        "page_turn_start": "mythicus_im:page_switch_start",
        "page_turn_end": "mythicus_im:page_switch_end",
        "page_despawn": "mythicus_im:page_despawn",
        "page_spawn": "mythicus_im:page_spawn"
      },
      "particle_effects": {
        "guidebook_disappear": "mythicus_im:hdc.guidebook.disappear"
      },
      "render_controllers": [
        "controller.render.mythicus_im.hdc.guidebook"
      ],
      "spawn_egg": {
        "texture": "mythicus_im.hdc.guidebook_scroll"
      }
    }
  }
}